## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# F35: Do not update past 1.4.0. F35's protobuf is too old.

# tests are enabled by default
%bcond_without  tests

%global         srcname     google-cloud-appengine-admin
%global         forgeurl    https://github.com/googleapis/python-appengine-admin
Version:        1.6.0
%global         tag         v%{version}
%forgemeta

Name:           python-%{srcname}
Release:        %autorelease
Summary:        Python Client for Google Cloud App Engine Admin

License:        ASL 2.0
URL:            %forgeurl
Source0:        %forgesource

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
%endif

%global _description %{expand:
App Engine Admin allows you to manage your App Engine applications.}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%forgeautosetup

# Allow a slightly older protobuf.
sed -i 's/"protobuf.*",/"protobuf>=3.19.4",/' setup.py

# Replace mock imports with unittest.mock.
grep -rl "^[[:space:]]*import mock" tests | \
    xargs sed -i -E 's/^([[:space:]]*)import mock/\1from unittest import mock/'


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files google

# Remove unneeded executable.
rm -f %{buildroot}%{_bindir}/fixup_accessapproval_v1_keywords.py


%if %{with tests}
%check
# Work around an usual pytest/PEP 420 issue where pytest can't import the
# installed module. Thanks to mhroncok for the help!
mv google{,_}
%pytest --disable-warnings tests/unit
mv google{_,}
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst CHANGELOG.md
%{python3_sitelib}/google_cloud_appengine_admin-%{version}-py%{python3_version}-nspkg.pth


%changelog
* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> 1.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Nov 14 2022 Major Hayden <major@redhat.com> 1.6.0-1
- Update to 1.6.0 rhbz#2141134

* Wed Oct 19 2022 Major Hayden <major@redhat.com> 1.5.3-1
- Update to 1.5.3 rhbz#2131882

* Mon Aug 15 2022 Major Hayden <major@redhat.com> 1.5.1-1
- Update to 1.5.1 rhbz#2118347

* Wed Jul 27 2022 Major Hayden <major@redhat.com> 1.5.0-1
- Update to 1.5.0 rhbz#2108596

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 28 2022 Python Maint <python-maint@redhat.com> 1.4.1-2
- Rebuilt for Python 3.11

* Mon Jun 13 2022 Major Hayden <major@redhat.com> 1.4.1-1
- Update to 1.4.1

* Thu May 19 2022 Major Hayden <major@mhtx.net> 1.4.0-1
- 🚀 Update to 1.4.0

* Mon Apr 18 2022 Major Hayden <major@mhtx.net> 1.3.3-1
- Update to 1.3.3

* Tue Mar 08 2022 Major Hayden <major@mhtx.net> 1.3.2-1
- Update to 1.3.2

* Wed Feb 23 2022 Major Hayden <major@mhtx.net> 1.3.1-1
- Update to 1.3.1

* Wed Feb 09 2022 Major Hayden <major@mhtx.net> 1.3.0-2
- Bump revision

* Fri Jan 28 2022 Major Hayden <major@mhtx.net> 1.3.0-1
- Update to 1.3.0

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Nov 02 2021 Major Hayden <major@mhtx.net> 1.2.1-1
- Update to 1.2.1

* Mon Oct 11 2021 Major Hayden <major@mhtx.net> 1.2.0-1
- Update to 1.2.0

* Tue Oct 05 2021 Major Hayden <major@mhtx.net> 1.1.5-1
- Initial import (#1998338)
